%define upstream_name    Tree-Nary
%define upstream_version 1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Tree::Nary - Perl implementation of N-ary search trees
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/F/FS/FSORIANO/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
The Tree::Nary class implements N-ary trees (trees of data with any 
number of branches), providing the organizational structure for a tree
(collection) of any number of nodes, but knowing nothing about the specific
type of node used.  It can be used to display hierarchical database entries in
an internal application (the NIS netgroup file is an example of such a
database). It offers the capability to select nodes on the tree, and attachment
points for nodes on the tree. Each attachment point can support multiple child
nodes.

The data field contains the actual data of the node. The next and previous
fields point to the node's siblings (a sibling is another node with the same
parent). The parent field points to the parent of the node, or is undef if the
node is the root of the tree. The children field points to the first child of
the node. The other children are accessed by using the next pointer of each
child.  This module is a translation (albeit not a direct one) from the C
implementation of N-ary trees, available in the GLIB distribution (see SEE
ALSO).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES README
%{perl_vendorlib}/Tree/*.pm
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.300.0-10.mga9
+ Revision: 1806527
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-9.mga8
+ Revision: 1497920
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.300.0-8.mga7
+ Revision: 1272398
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-7.mga6
+ Revision: 1035418
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.300.0-6.mga6
+ Revision: 943245
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-5.mga5
+ Revision: 744840
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.300.0-4.mga5
+ Revision: 686741
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 515764
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 374481
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 27197
- mageia rebuild
- imported package perl-Tree-Nary


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.300.0-1mdv2010.1
+ Revision: 505279
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.3-6mdv2010.0
+ Revision: 430609
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.3-5mdv2009.0
+ Revision: 258705
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.3-4mdv2009.0
+ Revision: 246662
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.3-2mdv2008.1
+ Revision: 166686
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-2mdv2008.0
+ Revision: 87062
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdv2007.0
- rebuild

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdk
- initial Mandriva package

